extends Node2D

static var rowRemoved = false

func isFull():
	var full = true
	for i in get_children():
		i.force_raycast_update()
		#print(i.get_collider())
		if not i.is_colliding():
			full = false
	return full

func check():
	if not GLOBAL.rowRemoved:
		rowRemoved = false
	if isFull():
		GLOBAL.rowRemoved = true
		var blocksSplit = []
		var removeBlock = []
		for i in get_children():
			i.force_raycast_update()
			if i.get_collider() != null:
				blocksSplit.append(i.get_collider().get_parent().get_parent())
				if GLOBAL.currentMode == GLOBAL.MODES.TIME:
					GLOBAL.time += i.get_collider().get_parent().get_parent().type
				if i.get_collider().get_parent().get_parent().expand:
					GLOBAL.points += i.get_collider().get_parent().get_parent().type * 2
				else:
					GLOBAL.points += i.get_collider().get_parent().get_parent().type
				i.get_collider().free()
		for j in blocksSplit:
			j.splitParts()
